curl -X POST https://api.daytona.io/sandbox/sandbox123/stop \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "stopping",
"desiredState": "stopped",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T16:45:00Z",
"runnerId": "runner789"
}
Stop a running sandbox
curl -X POST https://api.daytona.io/sandbox/sandbox123/stop \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "stopping",
"desiredState": "stopped",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T16:45:00Z",
"runnerId": "runner789"
}
Stops a running sandbox, freeing up resources while preserving the sandbox state.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/daytonaio/daytona/llms.txt
Use this file to discover all available pages before exploring further.
stopping or stopped)Options: stopping, stoppedcurl -X POST https://api.daytona.io/sandbox/sandbox123/stop \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "stopping",
"desiredState": "stopped",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T16:45:00Z",
"runnerId": "runner789"
}
stopping and eventually to stoppedautoDeleteInterval is set to 0, the sandbox will be deleted immediately after stopping